/*%
   Default firmware and loader for ZTEX USB-FPGA Modules 2.16
   Copyright (C) 2009-2017 ZTEX GmbH.
   http://www.ztex.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
%*/

#include[ztex-conf.h]	// Loads the configuration macros, see ztex-conf.h for the available macros
#include[ztex-utils.h]	// include basic functions and variables

// select ZTEX USB FPGA Module 2.16 as target  (required for FPGA configuration)
IDENTITY_UFM_2_16(10.16.0.0,0);	 

// this product string is also used for identification by the host software
#define[PRODUCT_STRING]["USB-FPGA Module 2.16 default FW"]

#define[D_RESET][IOA7]

#define[GPIO_CLK][IOA0]
#define[GPIO_DIR][IOA1]				// 1: µC reads
#define[GPIO_DAT][IOA3]
#define[GPIO_RE][{OEA = OEA & ~bmBIT3;}]	// seen from µC
#define[GPIO_WE][{OEA = OEA | bmBIT3;}]		// seen from µC

#define[LSI_MISO][IOC0]
#define[LSI_MOSI][IOC1]
#define[LSI_CLK][IOC2]
#define[LSI_STOP][IOC3]

#define[OEA_MASK][(bmBIT0 | bmBIT1 | bmBIT7)] 
#define[OEA_UMASK][0]

#define[OEC_MASK][(bmBIT1 | bmBIT2 | bmBIT3)] 
#define[OEC_UMASK][(bmBIT0)] 

#define[OEE_MASK][0] 
#define[OEE_UMASK][0] 

#include[ztex-default.h]			// template for default firmware
